mayarin
POST
/v1/payments/{id}/refunds

Authorization

secretKey
AuthorizationBearer <token>

Server-side sk_ key. Grants a subset of the merchant's permissions.

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key*string

Stable unique key for this logical write. Keep it unchanged when retrying.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/payments/string/refunds" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "paymentIntentId": "string",  "amount": {    "amount": "string",    "asset": "string",    "formatted": "string",    "display": "string"  },  "state": "string",  "reason": "string",  "providerReference": "string",  "failureReason": "string",  "createdAt": "string",  "updatedAt": "string"}